jx_getopt.h
Go to the documentation of this file.
/*
Copyright (C) 2022 The University of Notre Dame
This software is distributed under the GNU General Public License.
See the file COPYING for details.
*/
#ifndef JX_GETOPT_H
#define JX_GETOPT_H
#include <unistd.h>
#include <getopt.h>
#include "jx.h"
extern struct jx *jx_optarg;
void jx_getopt_push(struct jx *j);
int jx_getopt(int argc, char *const argv[], const char *optstring, const struct option *longopts, int *longindex);
#endif
jx.h
JSON Expressions (JX) library.
jx_getopt_push
void jx_getopt_push(struct jx *j)
Process command lines from a JX document.
jx_getopt
int jx_getopt(int argc, char *const argv[], const char *optstring, const struct option *longopts, int *longindex)
Parse the next argument.
jx
JX value representing any expression type.
Definition jx.h:117
option
Definition getopt.h:121